##### windows::basic_object_handle::basic_object_handle (2 of 3 overloads)

Construct a `windows::basic_object_handle` on an existing native handle.

    basic_object_handle(
        asio::io_service & io_service,
        const native_handle_type & native_handle);

This constructor creates an object handle object to hold an existing native handle.

###### Parameters

io_service

  The `io_service` object that the object handle will use to dispatch handlers for any asynchronous operations performed on the handle.

native_handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.